<h1>Reactive Form</h1>

<div class="container-fluid">
  <div class="container">
    <form [formGroup]="contactForm" (ngSubmit)="onSubmit()">
      <div>
        <label for="firstname">First Name </label>
        <input type="text" id="firstname" name="firstname" formControlName="firstname" class="form-control"
          autocomplete="off">
      </div>

      <div>
        <label for="lastname">Last Name </label>
        <input type="text" id="lastname" name="lastname" formControlName="lastname" class="form-control"
          autocomplete="off">
      </div>

      <div>
        <label for="email">Email </label>
        <input type="email" id="email" name="email" formControlName="email" class="form-control" autocomplete="off">
      </div>

      <div>
        <label for="firstname">Password </label>
        <input type="password" id="password" name="password" formControlName="password" class="form-control"
          autocomplete="off">
      </div>

      <div>
        <label for="phone">Phone number</label>
        <input type="number" id="phone" name="phone" formControlName="phone" class="form-control" autocomplete="off">
      </div>

      <div>
        <label for="pincode">Pincode</label>
        <input type="number" id="pincode" name="pincode" formControlName="pincode" class="form-control"
          autocomplete="off">
      </div>

      <div class="mt-3">
        <button type="submit" class="btn btn-primary" [disabled]="!contactForm.valid">Submit</button>
      </div>

    </form>
  </div>
</div>

<div class="output container">
  <table class="table table-bordered" *ngIf="data">
    <thead>
      <tr>
        <th>First Name</th>
        <th>Last Name</th>
        <th>Email</th>
        <th>Password</th>
        <th>Phone Number</th>
        <th>Pincode</th>
      </tr>
    </thead>
    <tbody>
      <tr>
        <td>{{data.firstname}}</td>
        <td>{{data.lastname}}</td>
        <td>{{data.email}}</td>
        <td>{{data.password}}</td>
        <td>{{data.phone}}</td>
        <td>{{data.pincode}}</td>
      </tr>
    </tbody>
  </table>
</div>